\par
\begin{tikzpicture}
[
node distance = 2cm,
%rotate=90
]
\graph[
%      spring electrical layout, 
      spring layout, 
%      tree layout,
%      layered layout,
      iterations=600,  
      convergence tolerance=0.001
      ] {
    "0001"[fill=node1color];
    
    "0011"[fill=node2color];
    
    "1100"[fill=node3color];
    
    "0001" -- {"0011", "0101", "1001"};
    "0101" -- {"0100"};
    "0100" -- {"1100"};
  };
\end{tikzpicture} 